---
title: "Get the usage widget settings"
description: "The origins that may call the widget, and the script URL and integrity hash for the snippet."
canonical_url: "https://twominutebilling.com/help/developers/api-reference/usage-controls/get-the-usage-widget-settings"
---
# Get the usage widget settings

> The origins that may call the widget, and the script URL and integrity hash for the snippet.

<api-operation method="GET" path="/v1/businesses/{biz}/settings/usage_widget">
<template v-slot:docs="">

## Path parameters

<table>
<thead>
  <tr>
    <th>
      Parameter
    </th>
    
    <th>
      Type
    </th>
    
    <th>
      Required
    </th>
    
    <th>
      Description
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        biz
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      <strong>
        yes
      </strong>
    </td>
    
    <td>
      The business's id (biz_…).
    </td>
  </tr>
</tbody>
</table>

## Response

<table>
<thead>
  <tr>
    <th>
      Field
    </th>
    
    <th>
      Type
    </th>
    
    <th>
      Description
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        object
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      The object type; always <code>
        usage_widget_settings
      </code>
      
      . One of <code>
        usage_widget_settings
      </code>
      
      .
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        origins
      </code>
    </td>
    
    <td>
      <code>
        array of string
      </code>
    </td>
    
    <td>
      The usage widget settings's origins.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        script_url
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      Where the page loads <code>
        usage.js
      </code>
      
       from. Null when the API's public URL is not set.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        script_integrity
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      The Subresource Integrity hash for the script tag's <code>
        integrity
      </code>
      
       attribute.
    </td>
  </tr>
</tbody>
</table>

## Status codes

<table>
<thead>
  <tr>
    <th>
      Status
    </th>
    
    <th>
      Meaning
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        200
      </code>
    </td>
    
    <td>
      The settings.
    </td>
  </tr>
</tbody>
</table>
</template>

<template v-slot:request="">

```bash [Request]
curl "$TMBILLING_URL/v1/businesses/biz_XXXXXXXXXXXX01/settings/usage_widget" \
  -H "Authorization: Bearer $TMBILLING_API_KEY"
```

</template>

<template v-slot:response="">

```json [200 OK]
{
  "object": "usage_widget_settings",
  "origins": [
    "Origin"
  ],
  "script_url": "https://example.com/webhooks/billing",
  "script_integrity": "Script integrity"
}
```

</template>
</api-operation>


## Sitemap

See the full [sitemap](https://twominutebilling.com/sitemap.md) for all pages.
